#div-1 {
	background-color: green;
	display: inline;
}

#span-1 {
	background-color: purple;
	display: inline-block;
	width: 200px;
	height: 200px;
}

#span-2 {
	background-color: red;
	display: block;
}

#div-2 {
	background-color: hotpink;
	display: none;
}

#img {
	display: inline-block;
	width: 250px;
	height: 250px;
}

#p-1 {
	background-color: #87CEFA;
}

#p-2 {
	background-color: rgb(255, 105, 180);
	width: 60%;
}

#p-3 {
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*The float property specifies whether an element should float to the left, right or not at all.*/
.img-float {
	width: 250px;
	height: 250px;
	float: inherit;
}

.parent {
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}

.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}


/*viewport height, viewport width*/
.fifty-vw {
	width: 50vw;
}

.twenty-five-vh {
	height: 25vh;
}

/*root element (rem)= relative to the parent element which is HTML*/
/*1rem = 16px (default size)*/
.one-rem {
	font-size: 1rem;
}

/*relative to the parent element*/
/*parent font-size is 30px so 1em becomes a multiplier*/
.one-em {
	font-size: 1em;
	/*30px x 1em = 30px for .one-em font-size*/
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

.two-hundred-percent {
	font-size: 200%;
}

.background {
	min-height: 20rem;
	background-color: gray;
	background-image: url(https://r4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center;
	/*background-attachment - sets whethere a background image scrolls with the rest of the page*/
	background-attachment: scroll;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

.parent-element {
	background-color: skyblue;
	padding: 50px 10px;
	/*relative - normal flow of the content but can be customized: top, bottom, left, right, and z-index properties*/
	position: relative;
	height: 800px;
}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two {
	background-color: yellow;
	padding: 10px;
	/*sitcky - relative with fixed*/
	position: sticky;
	top: 10px;
}

.child-three {
	background-color: gray;
	padding: 10px;
}

html {
	height: 800vh;
}

/*Z Index*/
.container {
	position: relative;
	border: 2px dotted black;
}

.black-box {
	position: relative;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
	z-index: 1;
}

.gray-box {
	background:	lightgray;
	position: absolute;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
	z-index: 3;
}

.green-box {
	background: lightgreen;
	position: absolute;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
	z-index: 2;
}